<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ipc__pipe__ep__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ipc_pipe_ep_t</compoundname>
    <includes local="no">cy_ipc_pipe.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a548018dde4ae3734ef40df82fef599fe" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_t::ipcChan</definition>
        <argsstring />
        <name>ipcChan</name>
        <briefdescription>
<para>IPC channel number used for this endpoint to receive messages. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="137" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a593d0566899467eb1e410c11fb7577a4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_t::intrChan</definition>
        <argsstring />
        <name>intrChan</name>
        <briefdescription>
<para>IPC interrupt channel number used for this endpoint to receive interrupts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="138" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a3c7ff466d80e337695bfccefcba143d1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_t::pipeIntMask</definition>
        <argsstring />
        <name>pipeIntMask</name>
        <briefdescription>
<para>Release/Notify interrupt mask that includes all endpoints on pipe. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="139" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="139" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a9a17bc5844a9f9844cf42ca9c36805ee" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
        <definition>IRQn_Type cy_stc_ipc_pipe_ep_t::pipeIntrSrc</definition>
        <argsstring />
        <name>pipeIntrSrc</name>
        <briefdescription>
<para>Interrupt vector number that includes all endpoints on pipe. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="140" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a04efc8266b62ea4010ca39480000b221" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="struct_i_p_c___s_t_r_u_c_t___type">IPC_STRUCT_Type</ref> *</type>
        <definition>IPC_STRUCT_Type* cy_stc_ipc_pipe_ep_t::ipcPtr</definition>
        <argsstring />
        <name>ipcPtr</name>
        <briefdescription>
<para>Pointer to receive IPC channel ( If ipcPtr == NULL, cannot receive ) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="142" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a87edbb6421b1d3e8a997c394e6716500" kind="variable" mutable="no" prot="public" static="no">
        <type>IPC_INTR_STRUCT_Type *</type>
        <definition>IPC_INTR_STRUCT_Type* cy_stc_ipc_pipe_ep_t::ipcIntrPtr</definition>
        <argsstring />
        <name>ipcIntrPtr</name>
        <briefdescription>
<para>Pointer to IPC interrupt, needed to clear the interrupt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="143" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a40fd72621315edcdf6808c12e1df91d9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_t::busy</definition>
        <argsstring />
        <name>busy</name>
        <briefdescription>
<para>Endpoint busy flag. </para>        </briefdescription>
        <detaileddescription>
<para>If sent no messages can be sent from this endpoint </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="144" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a0a08d1017b59647fd458669715b7fa4c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_pipe_ep_t::clientCount</definition>
        <argsstring />
        <name>clientCount</name>
        <briefdescription>
<para>Client count and size of MsgCallback array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="145" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1abc99ea0fcbc0f4c2370f2e41546039f4" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_ipc_pipe_callback_array_ptr_t</type>
        <definition>cy_ipc_pipe_callback_array_ptr_t cy_stc_ipc_pipe_ep_t::callbackArray</definition>
        <argsstring />
        <name>callbackArray</name>
        <briefdescription>
<para>Pointer to array of callback functions, one for each Client. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="147" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1ab5ea186f2fd186eafe73501dbc394f4d" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_ipc_pipe_relcallback_ptr_t</type>
        <definition>cy_ipc_pipe_relcallback_ptr_t cy_stc_ipc_pipe_ep_t::releaseCallbackPtr</definition>
        <argsstring />
        <name>releaseCallbackPtr</name>
        <briefdescription>
<para>Pointer to release callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="148" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__pipe__ep__t_1a300a657999f3a3da0cfe51b8f17d8029" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_ipc_pipe_relcallback_ptr_t</type>
        <definition>cy_ipc_pipe_relcallback_ptr_t cy_stc_ipc_pipe_ep_t::defaultReleaseCallbackPtr</definition>
        <argsstring />
        <name>defaultReleaseCallbackPtr</name>
        <briefdescription>
<para>Pointer to default release callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="149" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This is the definition of a pipe endpoint. </para>    </briefdescription>
    <detaileddescription>
<para>There is one endpoint structure for each CPU in a pipe. It contains all the information to process a message send to other CPUs in the pipe. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="194">
        <label>cy_stc_ipc_pipe_ep_t</label>
        <link refid="structcy__stc__ipc__pipe__ep__t" />
        <childnode refid="195" relation="usage">
          <edgelabel>ipcPtr</edgelabel>
        </childnode>
      </node>
      <node id="195">
        <label>IPC_STRUCT_Type</label>
        <link refid="struct_i_p_c___s_t_r_u_c_t___type" />
      </node>
    </collaborationgraph>
    <location bodyend="150" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="136" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a40fd72621315edcdf6808c12e1df91d9" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>busy</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1abc99ea0fcbc0f4c2370f2e41546039f4" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>callbackArray</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a0a08d1017b59647fd458669715b7fa4c" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>clientCount</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a300a657999f3a3da0cfe51b8f17d8029" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>defaultReleaseCallbackPtr</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a593d0566899467eb1e410c11fb7577a4" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>intrChan</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a548018dde4ae3734ef40df82fef599fe" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>ipcChan</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a87edbb6421b1d3e8a997c394e6716500" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>ipcIntrPtr</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a04efc8266b62ea4010ca39480000b221" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>ipcPtr</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a3c7ff466d80e337695bfccefcba143d1" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>pipeIntMask</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1a9a17bc5844a9f9844cf42ca9c36805ee" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>pipeIntrSrc</name></member>
      <member prot="public" refid="structcy__stc__ipc__pipe__ep__t_1ab5ea186f2fd186eafe73501dbc394f4d" virt="non-virtual"><scope>cy_stc_ipc_pipe_ep_t</scope><name>releaseCallbackPtr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>